List countries
get
/api/countries Retrieves the collection of Country resources.
Returns a paginated collection of countries in the current organization. Set Flowkiwi-Locale to read the translatable name in a given locale.
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Flowkiwi-Locale | string | - | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | - | The collection page number |
itemsPerPage | integer | - | The number of items per page |
properties[] | string[] | - | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
id[] | string[] | - | Only the items with one of these ids, each a UUID or the item IRI. |
code | string | - | Country code |
code[] | string[] | - | Country code |
name | string | - | Filter on the translated "name" field (case-insensitive partial match, uses the Flowkiwi-Locale header). |
search | string | - | Free-text search across: code, name (case-insensitive, partial match) |
order[name] | string | - | Order by translated field "name" (uses the Flowkiwi-Locale header) |
order[code] | string | - | Country order[code] |
order[createdAt] | string | - | Country order[createdAt] |
order[updatedAt] | string | - | Country order[updatedAt] |
Response
200 - Country collection
| Property | Type | Required | Description | ||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
search | object | - | |||||||||||||||||||||||||||||||||||||||||||||
Show | |||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Required | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
@type | string | - | |||||||||||||||||||||
mapping | object[] | - | |||||||||||||||||||||
Show | |||||||||||||||||||||||
| Property | Type | Required | Description |
|---|---|---|---|
@type | string | - | |
property | string | null | - | |
required | boolean | - | |
variable | string | - |
templatestringvariableRepresentationstringtotalItemsintegerviewobjectShow view fields
| Property | Type | Required | Description |
|---|---|---|---|
@id | string | - | |
@type | string | - | |
first | string | null | - | |
last | string | null | - | |
next | string | null | - | |
previous | string | null | - |
memberCountry[]Show member fields
| Property | Type | Required | Description |
|---|---|---|---|
@context | string | object | - | |
@id | string | required | |
@type | string | required | |
code | string | required | The country ISO 3166-1 alpha-2 two-letter code. For more info, see the documentation |
createdAt | string | - | The date and time when the resource was created (ISO 8601 format). |
id | string | - | The resource's unique identifier (UUID). |
name | string | null | - | This property supports translations. The country name. |
updatedAt | string | - | The date and time when the resource was last modified (ISO 8601 format). |
No properties.
Errors
403 - Access denied. The caller is missing one or more permissions required for this operation.
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|---|---|---|
@context | string | object | - | |
@id | string | required | |
@type | string | required | |
detail | string | - | |
missingPermissions | string[] | - | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
status | integer | - | |
title | string | - | |
type | string | - |